package enseirb.myinpulse.postgres_db.model;

import jakarta.persistence.*;
import jakarta.persistence.PrimaryKeyJoinColumn;
import jakarta.persistence.Table;

import java.util.ArrayList;
import java.util.List;

@Entity
@Table(name = "administrateurs")
@PrimaryKeyJoinColumn(name = "id_administrateur")
public class Administrateurs extends Utilisateurs {

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "Projets.id_projets")
    private Projets projets;

    @OneToMany(mappedBy = "administrateurs", fetch = FetchType.LAZY, orphanRemoval = true)
    private List<Sections> ListSections = new ArrayList<>();

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "RendezVous.id_rdv")
    private RendezVous rendezVous;

    public Administrateurs() {}

    public Administrateurs(
            String nom_utilisateur,
            Long id_utilisateur,
            String prenom_utilisateur,
            String mail_principal,
            String mail_secondaire,
            String numero_telephone) {
        super(
                nom_utilisateur,
                id_utilisateur,
                prenom_utilisateur,
                mail_principal,
                mail_secondaire,
                numero_telephone);
    }
}
